| Qore SmtpClient Module Reference 2.0

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
SmtpClientDataProviderFactory Class Reference

The SMTP data provider factory. More...

## Protected Member Functions
Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info.
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.

## Protected Attributes
const | FactoryInfo = ...
| Factory info.

## Static Protected Attributes
static Class | cls = new Class("SmtpClientDataProvider")
| Data provider type info.

## Detailed Description

The SMTP data provider factory.

## Member Function Documentation

## ◆ getInfoImpl()

hash< DataProviderFactoryInfo > SmtpClientDataProviderFactory::getInfoImpl | ( |  | ) |
| protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## ◆ getProviderInfoImpl()

hash< DataProviderInfo > SmtpClientDataProviderFactory::getProviderInfoImpl | ( |  | ) |
| protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes